FactoryPortTypeSOAPBindingStub
Date: 2013-02-16

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.dir.master.stubs.bindings
Class FactoryPortTypeSOAPBindingStub

    java.lang.Object
      org.apache.axis.client.Stub
          org.gcube.dir.master.stubs.bindings.FactoryPortTypeSOAPBindingStub

All Implemented Interfaces:
  java.rmi.Remote, javax.xml.rpc.Stub, FactoryPortType

    public class FactoryPortTypeSOAPBindingStub

extends org.apache.axis.client.Stub
implements FactoryPortType

Field Summary

Fields inherited from interface javax.xml.rpc.Stub
`ENDPOINT_ADDRESS_PROPERTY, PASSWORD_PROPERTY, SESSION_MAINTAIN_PROPERTY, USERNAME_PROPERTY`

Constructor Summary
`FactoryPortTypeSOAPBindingStub()`
`FactoryPortTypeSOAPBindingStub(javax.xml.rpc.Service service)`
`FactoryPortTypeSOAPBindingStub(java.net.URL endpointURL, javax.xml.rpc.Service service)`

Method Summary
`org.apache.axis.message.addressing.EndpointReferenceType` | `createMaster(FactoryParams request)` Returns the endpoint of a Master WS-Resource for one or more target collections.
`org.gcube.common.core.types.VOID` | `deployPlugin(Plugin parameters)` Deploys a plugin that conforms to the plugin requirements of the service.
`org.gcube.common.core.types.VOID` | `deployPluginRS(java.lang.String parameters)` Uses the ResultSetService to deploys a plugin that conforms to the plugin requirements of the service.

Methods inherited from class org.apache.axis.client.Stub
`_getProperty, _getPropertyNames, _getService, _setProperty, addAttachment, clearAttachments, clearHeaders, extractAttachments, getAttachments, getHeader, getHeaders, getPassword, getPortName, getResponseHeader, getResponseHeaders, getTimeout, getUsername, removeProperty, setHeader, setHeader, setMaintainSession, setPassword, setPortName, setPortName, setTimeout, setUsername`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FactoryPortTypeSOAPBindingStub

    public FactoryPortTypeSOAPBindingStub()
                                   throws org.apache.axis.AxisFault

Throws:
  `org.apache.axis.AxisFault`

### FactoryPortTypeSOAPBindingStub

    public FactoryPortTypeSOAPBindingStub(java.net.URL endpointURL,
                                          javax.xml.rpc.Service service)
                                   throws org.apache.axis.AxisFault

Throws:
  `org.apache.axis.AxisFault`

### FactoryPortTypeSOAPBindingStub

    public FactoryPortTypeSOAPBindingStub(javax.xml.rpc.Service service)
                                   throws org.apache.axis.AxisFault

Throws:
  `org.apache.axis.AxisFault`

Method Detail

### createMaster

    public org.apache.axis.message.addressing.EndpointReferenceType createMaster(FactoryParams request)
                                                                          throws java.rmi.RemoteException,
                                                                                 org.gcube.common.core.faults.GCUBEFault

  Description copied from interface: `FactoryPortType`
  Returns the endpoint of a Master WS-Resource for one or more target collections.

  Specified by:
    `createMaster` in interface `FactoryPortType`
  Throws:
    `java.rmi.RemoteException`
    `org.gcube.common.core.faults.GCUBEFault`

### deployPlugin

    public org.gcube.common.core.types.VOID deployPlugin(Plugin parameters)
                                                  throws java.rmi.RemoteException,
                                                         org.gcube.common.core.faults.GCUBEFault

  Description copied from interface: `FactoryPortType`
  Deploys a plugin that conforms to the plugin requirements of the service. In particular, the plugin must be packaged in JAR whose manifest file includes an

  Specified by:
    `deployPlugin` in interface `FactoryPortType`
  Throws:
    `java.rmi.RemoteException`
    `org.gcube.common.core.faults.GCUBEFault`

### deployPluginRS

    public org.gcube.common.core.types.VOID deployPluginRS(java.lang.String parameters)
                                                    throws java.rmi.RemoteException,
                                                           org.gcube.common.core.faults.GCUBEFault

  Description copied from interface: `FactoryPortType`
  Uses the ResultSetService to deploys a plugin that conforms to the plugin requirements of the service. In particular, the plugin must be packaged in JAR whose manifest file includes an

  Specified by:
    `deployPluginRS` in interface `FactoryPortType`
  Throws:
    `java.rmi.RemoteException`
    `org.gcube.common.core.faults.GCUBEFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD